Add an invitation
1 min
POST
https://usermgmt-api.optimizely.com/api/invitations
Body Parameters
- bodyaddInvitationParamsrequiredDescription
- expirationDatestring<date-time>Formatdate-time
- firstNamestringrequiredMin Length1
- lastNamestringrequiredMin Length1
- emailstringrequiredMin Length1
- organizationIdstringrequiredMin Length1
- requireAcceptanceboolean
- userGroupIdsstring[]
- propertiesproperty[]
- namestring
- valuestring
- reasonForAccessstring
Responses
200
- invitation
- idstring
- createdBystring
- sentDatesstring[]
- acceptedDatestring<date-time>Formatdate-time
- expirationDatestring<date-time>Formatdate-time
- revokedBystring
- revokedDatestring<date-time>Formatdate-time
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- firstNamestring
- lastNamestring
- emailstring
- organizationIdstring
- organizationNamestring
- requireAcceptanceboolean
- userGroupsuserGroupDetails[]
- idstring
- namestring
- propertiesproperty[]
- namestring
- valuestring
- permissionsinstancePermissionsForUser[]
- instanceIdstring
- instanceNamestring
- instanceNicknamestring
- navigationUrlstring
- regionstring
- groupNamestring
- groupIdstring
- productIdstring
- productNamestring
- productTypeinteger<int32>Default0Formatint32Allowed01
- allowCustomerDefinedRolesboolean
- hasUsageDashboardboolean
- isServiceboolean
- isHomeOrganizationboolean
- organizationNamestring
- organizationIdstring
- rolesroleDescriptor[]
- namestring
- idstring
- propertiesproperty[]
- namestring
- valuestring
- attributesattribute[]
- idstring
- keystring
- valuesstring[]
- instanceIdstring
- typestring
- namestring
- descriptionstring
- productIdstring
- isActiveboolean
- createdstring<date-time>Formatdate-time
- modifiedstring<date-time>Formatdate-time
- linkslink[]
- relstring
- hrefstring
- reasonForAccessstring
400
- validationError[]
- fieldstring
- codestring
- messagestring
401
500
curl
curl --request POST \
--url https://usermgmt-api.optimizely.com/api/invitations \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"firstName": "",
"lastName": "",
"email": "",
"organizationId": ""
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"firstName": "",
"lastName": "",
"email": "",
"organizationId": ""
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://usermgmt-api.optimizely.com/api/invitations", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://usermgmt-api.optimizely.com/api/invitations")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"firstName": "",
"lastName": "",
"email": "",
"organizationId": ""
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://usermgmt-api.optimizely.com/api/invitations"
payload = json.dumps({
"firstName": "",
"lastName": "",
"email": "",
"organizationId": ""
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// The invitation response.
{
"id": "",
"createdBy": "",
"sentDates": [
""
],
"acceptedDate": "",
"expirationDate": "",
"revokedBy": "",
"revokedDate": "",
"created": "",
"modified": "",
"firstName": "",
"lastName": "",
"email": "",
"organizationId": "",
"organizationName": "",
"requireAcceptance": false,
"userGroups": [
{
"id": "",
"name": ""
}
],
"properties": [
{
"name": "",
"value": ""
}
],
"permissions": [
{
"instanceId": "",
"instanceName": "",
"instanceNickname": "",
"navigationUrl": "",
"region": "",
"groupName": "",
"groupId": "",
"productId": "",
"productName": "",
"productType": "",
"allowCustomerDefinedRoles": false,
"hasUsageDashboard": false,
"isService": false,
"isHomeOrganization": false,
"organizationName": "",
"organizationId": "",
"roles": [
{
"name": "",
"id": "",
"properties": [
{
"name": "",
"value": ""
}
],
"attributes": [
{
"id": "",
"key": "",
"values": [
""
],
"instanceId": "",
"type": "",
"name": "",
"description": "",
"productId": "",
"isActive": false,
"created": "",
"modified": "",
"links": [
{
"rel": "",
"href": ""
}
]
}
]
}
]
}
],
"reasonForAccess": ""
}400
// The request was invalid or cannot be otherwise served. An accompanying error message will explain further.
[
{
"field": "",
"code": "",
"message": ""
}
]401
// Unauthorized access to endpoint.
500
// A server error occurred, please try again.